org.glassfish.jersey.server.spi

## Class ExternalRequestContext<T>

- java.lang.Object
- - org.glassfish.jersey.server.spi.ExternalRequestContext<T>

Type Parameters:
  `T` - external request data.

    public class ExternalRequestContext<T>
    extends Object

Wrapper for externally provided request context data.

Author:
  Jakub Podlesak
See Also:
  `ExternalRequestScope`

### Constructor Summary

Constructors
Constructor and Description
`ExternalRequestContext(T context)` Create new external request context containing given data.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `getContext()` Get me current external context data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExternalRequestContext

    public ExternalRequestContext(T context)

Create new external request context containing given data.

Parameters:
  `context` - external context data.

### Method Detail

#### getContext

    public T getContext()

Get me current external context data.

Returns:
  context data.